define(function(require){
	var $ = require('jquery');
	require('uriTemplate')($);
	require('dialog')($);
	require('datepicker')($);
	require('grid')($);
	var IFA = require('util');
	require('../../../styles/cim/jquery-ui-1.8.14.custom.css');
	require('../../../styles/cim/cim-grid.css');
	$(function(){
//		search();
//		$('#searchBtn').click(function(){
//			search();
//		});
//		$("#searchForm :input").bind("keydown",function(e){
//			var e = e ? e : window.event;
//			if(e.keyCode==13){
//			   search();
//			}
//		});
	});
	
//	function search(){
//		var url = $('#searchUrl').val();
//		$('#DUEREPORTList').grid({
//			url:url,
//			root:"closeContractOverdueList",
//			pageTheme:'Theme1',
//			isREST :false,
//			method:"POST",
//			paging:false,
//			defaultParams:IFA.convertQueryStringToJson($("#searchForm").serialize()),
//			fields:[{name:i18n["Entity.report.seq"],type:'seq'},
//			        {name:i18n["Entity.report.rentalno"],id:"rentalNo",style:{width:'10%'}},
//			        {name:i18n["Entity.report.platenumber"],id:"plateNumber",style:{width:'10%'}},
//			        {name:i18n["Entity.report.cartype"],id:"cayTypeName",style:{width:'10%'}},
//			        {name:i18n["Entity.report.clientfullname"],id:"clientFullName"},
//			        {name:i18n["Entity.report.chauffeurfullname"],id:"chauffeurFullName"},
//			        {name:i18n["Entity.report.businessstarttime"],id:"businessStartTime",style:{width:'10%'},render:function(data){
//	  				  	var timeCheck = /^\d{4}-\d{2}-\d{2}\s+\d{2}:\d{2}$/;
//	  				  	if(!timeCheck.exec(data.businessStartTime)){
//	  				  		 data.businessStartTime = new Date(data.businessStartTime).format("yyyy-MM-dd hh:mm");
//	  				  	}
//	  				  	return data.businessStartTime;
//			        }},
//			        {name:i18n["Entity.report.businessendtime"],id:"businessEndTime",render:function(data){
//	  				  	var timeCheck = /^\d{4}-\d{2}-\d{2}\s+\d{2}:\d{2}$/;
//	  				  	if(!timeCheck.exec(data.businessEndTivme)){
//	  				  		 data.businessEndTime = new Date(data.businessEndTime).format("yyyy-MM-dd hh:mm");
//	  				  	}
//	  				  	return data.businessEndTime;
//			        }},
//			        {name:i18n["Entity.report.daystoduedate"],id:"daysToDueDate"},
//			        {name:i18n["Entity.report.contracttotalamount"],id:"contractTotalAmount"}
//			        ]
//		});
//	}
	$('#exportBtn').click(function(){
		var url = $('#exportUrl').val().trim();
		$('#searchForm').attr("action",url);
		$('#searchForm').submit();
//		$.ajax({
//			type:"POST",
//			url:url,
//			data:{companyId:$.trim($('#companyId').val()),districtId:$.trim($('#districtId').val()),endDate:$.trim($('#endDate').val())},
//			success:function(response,ioArgs){
//				
//			}
//		});
	});
    $("#dueDate").datepicker({
	});
});